package cn.ibizlab.humanresource.core.humanresource.filter;

import java.math.BigDecimal;
import java.math.BigInteger;
import java.sql.Timestamp;
import java.util.ArrayList;
import java.util.List;
import java.util.Map;
import java.util.HashMap;

import lombok.*;
import lombok.extern.slf4j.Slf4j;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.alibaba.fastjson.annotation.JSONField;

import org.springframework.util.ObjectUtils;
import org.springframework.util.StringUtils;


import cn.ibizlab.humanresource.util.filter.QueryWrapperContext;
import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import cn.ibizlab.humanresource.core.humanresource.domain.HRDuty;
/**
 * 关系型数据实体[HRDuty] 查询条件对象
 */
@Slf4j
@Data
public class HRDutySearchContext extends QueryWrapperContext<HRDuty> {

	private String n_hrdutyname_like;//[职务名称]
	public void setN_hrdutyname_like(String n_hrdutyname_like) {
        this.n_hrdutyname_like = n_hrdutyname_like;
        if(!ObjectUtils.isEmpty(this.n_hrdutyname_like)){
            this.getSearchCond().like("hrdutyname", n_hrdutyname_like);
        }
    }

    /**
	 * 启用快速搜索
	 */
	public void setQuery(String query)
	{
		 this.query=query;
		 if(!StringUtils.isEmpty(query)){
            this.getSearchCond().and( wrapper ->
                     wrapper.like("hrdutyname", query)   
            );
		 }
	}
}



